Here are the technical requirements to watch a live Pay-Per-View via your desktop computer or laptop:

  • A wired ethernet connection from your computer to your Cable Modem, DSL, or outbound internet connection (a wireless connection can cause problems with your video stream)
  • The latest Flash Player.
  • Ensure that JavaScript is enabled in your web browser
  • Ensure that you are allowing pop-up windows from LivePhish.com.
  • Check the component list below for more details.

Here are the technical requirements to watch a live Pay-Per-View via your mobile device:

  • Wifi or High Speed Data like LTE (4G or 3G may work depending on your mobile data rate)
  • iOS 6 or later for iOS devices
  • Android 4.1 or later should be able to watch the mobile stream without Flash-- earlier versions of Android will require Flash
  • If you have problems with the mobile stream, please log in to your account on a wired computer (you will not need to purchase another pass)

Component

Required

Recommended

Internet connection speed

High speed internet connection of 1.5 Mbps or faster.

Check my speed

DSL or Cable internet connection of 3.0 Mbps or faster

Check my speed

Operating system

Microsoft Windows XP, Vista, or Windows 7;

Mac computer with an Intel processor:

  • Mac OS X v10.4 or later
  • 1GHz processor; 2GHz or faster recommended
  • 512MB RAM; 1GB or more recommended

Microsoft Windows XP, Vista, or Windows 7. At least the "Required" specs for Mac, preferrably more RAM and faster processor.

Processor

 1 GHz processor or faster

2 GHz processor or faster

 RAM

512 megabytes

1 GB or higher

Display Configuration

1024 x 768 resolution; 32 bit color

Same as "Required" configuration or higher

Video card

Video card with 64 MB of video RAM (VRAM).

Same as "Required" configuration or higher resolution

Internet browser

  • Microsoft Internet Explorer 7 and 8 (Windows)
  • FireFox 3.5 or higher (Windows or Mac)
  • Safari 5.0 or higher (Windows or Mac)

Cookies must be enabled on all browsers.


Same as "Required" configuration